# tbb::internal::machine_load_store_relaxed< T, S > Struct Template Reference

`#include <tbb_machine.h>`

List of all members.

## Static Public Member Functions

static T | load (const volatile T &location)
static void | store (volatile T &location, T value)

## Detailed Description

### template<typename T, size_t S>
struct tbb::internal::machine_load_store_relaxed< T, S >

Volatile should not incur any additional cost on IA32, Intel64, and Sparc TSO architectures. However on architectures with weak memory ordering compiler may generate code with acquire/release semantics for operations on volatile data.

The documentation for this struct was generated from the following file:

- tbb_machine.h

Copyright © 2005-2013 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.